#ifndef RAYTRYCPP_VIEWERWINDOW_H
#define RAYTRYCPP_VIEWERWINDOW_H

#include <QLabel>
#include <QMainWindow>

namespace raytry {
    QT_BEGIN_NAMESPACE
    namespace Ui {
        class ViewerWindow;
    }
    QT_END_NAMESPACE

    class ViewerWindow : public QMainWindow {
        Q_OBJECT

    public:
        explicit ViewerWindow(QWidget *parent = nullptr);
        ~ViewerWindow() override;

        QImage &getDisplayImage();
        Q_INVOKABLE void updateImageLabel();

    private:
        Ui::ViewerWindow *ui;
        QImage displayImage;
        QLabel imageLabel;
    };
}// namespace raytry

#endif//RAYTRYCPP_VIEWERWINDOW_H
